pipeline {
  agent any
  stages {
    stage ("install") {
      steps {
        nodejs("System") {
          sh "npm install"
        }
      }
    }
    stage ("build") {
      steps {
        nodejs("System") {
          sh "npm run build"
        }
      }
    }
    stage ("deploy") {
      when {
        branch '**/master'
      }
      steps {
        sshPublisher(publishers: [sshPublisherDesc(configName: 'RS - Web Server', transfers: [sshTransfer(cleanRemote: false, excludes: '', execCommand: '', execTimeout: 120000, flatten: false, makeEmptyDirs: false, noDefaultExcludes: false, patternSeparator: '[, ]+', remoteDirectory: 'ent.sys.reslate.xyz', remoteDirectorySDF: false, removePrefix: '', sourceFiles: 'dist/**')], usePromotionTimestamp: false, useWorkspaceInPromotion: false, verbose: false)])
      }
    }
  }
}